Bug 980578 - F19 - qemu-img conversion from vmdk to qcow2 results in unbootable image
F19 - qemu-img conversion from vmdk to qcow2 results in unbootable image
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-02 14:42 EDT by Joel
Modified: 2015-02-17 10:47 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 10:47:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel 2013-07-02 14:42:16 EDT
Description of problem:
Converting a VMDK disk image to qcow2 format with qemu-img resulted in an unbootable VM disk.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Download a VM image stored in VMDK format (the 64bit VM image from http://www.openflow.org/wk/index.php/OpenFlow_Tutorial#Install_Required_Software)
2.Convert qcow2 format with qemu-img convert -f vmdk ./mininet-vm-disk1.vmdk -O qcow2 ./conversion.qcow2
3.Try to start up a KVM VM using the qcow2 file as the disk drive.

Actual results:
VM starts up and fails saying there was no bootable disk.

Expected results:
VM starts up successfully from qcow2 image.

Additional info:
Converting to raw format (from the VMDK formatted file) produced a disk image that was bootable.
Comment 1 Cole Robinson 2013-12-18 12:02:30 EST
FWIW qemu.git as of today works for converting, hopefully its a simple bisect. Need to confirm if f20 is affected as well.
Comment 2 Joel 2013-12-18 17:06:50 EST
Went to verify with f20, but it seems that the OpenFlow VM image is now different, and the qemu-img conversion now fails differently.

In case anyone is interested, the failure is now:

qemu-img: 'image' uses a vmdk feature which is not supported by this qemu version: VMDK version 3
qemu-img: Could not open './mininet-vm-disk1.vmdk': Wrong medium type

I'm fine with closing this since I can no longer reproduce.
Comment 3 Joel 2013-12-18 17:10:26 EST
The lack of support for VMDK version 3 is already tracked through Bug 1007708 ( https://bugzilla.redhat.com/show_bug.cgi?id=1007708 ).
Comment 4 Cole Robinson 2013-12-19 08:29:44 EST
vmdk has been very actively worked on in upstream qemu for the past few releases, so sounds like things even improved between qemu 1.6 to qemu 1.7. But as mentioned this seems to work upstream, so next fedora will get this right.

I'll leave this open since I still want to investigate if a simple backport will fix this in F20
Comment 5 Fedora End Of Life 2015-01-09 13:36:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 10:47:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.